Description

Ahora mismo el algoritmo que usa el hyperlink para obtener la ruta a los documentos asociados es bastante simplon. Habria que
mejorarlo para que:

    -  Entienda de rutas relativas, probando:
        -  Si es una capa de fichero:
            -  Que asuma que la capa es un zip (un kmz por ejemplo) y compruebe si es una ruta dentro del zip.
            -  Que compruebe si es una ruta relativa a la capa.
        -  Que compruebe si es relativa al proyecto
        -  Que compruebe si se trata de una ruta absoluta

    -  Si no ha podido localizar el documento a mostrar siguiendo el punto anterior, que indague dentro del contenido de la ruta por si
es un HTML que contenga algo como '<img src="*">' y si lo encuentra extraiga la ruta de ahi, y realice con ella las comprobaciones
del paso anterior.

    -  Si sigue sin poder encontrar el documento que pruebe buscando '<a href="*">'

    -  Si llega a este punto y no ha encontrado una ruta valida al documento, pasa y no intenta presentar nada.

Associated revisions
Revision 370 - 06/04/2018 01:20 PM - Joaquín  del Cerro Murciano

refs #4895. Modificado el hyperlink para que acepte rutas relativas o a ficheros empotrados en la capa (como imagenes empatradas en un kmz)

History
#1 - 06/04/2018 01:15 PM - Joaquín  del Cerro Murciano
- Description updated

#2 - 06/04/2018 01:16 PM - Joaquín  del Cerro Murciano
- Subject changed from Permitir cargar imagenes incrustadas en un kmz a traves del hyperlink. to [PG] Permitir cargar imagenes incrustadas en un 
kmz a traves del hyperlink.

#3 - 06/04/2018 01:21 PM - Joaquín  del Cerro Murciano
- Status changed from In progress to Fixed

#4 - 02/18/2019 04:58 PM - Álvaro Anguix
- Status changed from Fixed to Closed
